import request from '@/utils/request'

// 查询门店大客户签约管理列表
export function listStoreCustomerSign(query) {
  return request({
    url: '/sfa/storeCustomerSign/list',
    method: 'get',
    params: query
  })
}

// 查询门店大客户签约管理详细
export function getStoreCustomerSign(signId) {
  return request({
    url: '/sfa/storeCustomerSign/' + signId,
    method: 'get'
  })
}

// 新增门店大客户签约管理
export function addStoreCustomerSign(data) {
  return request({
    url: '/sfa/storeCustomerSign',
    method: 'post',
    data: data
  })
}

// 修改门店大客户签约管理
export function updateStoreCustomerSign(data) {
  return request({
    url: '/sfa/storeCustomerSign',
    method: 'put',
    data: data
  })
}

// 删除门店大客户签约管理
export function delStoreCustomerSign(signId) {
  return request({
    url: '/sfa/storeCustomerSign/' + signId,
    method: 'delete'
  })
}
